Bug 1015124 - plexus-containers: FTBFS in rawhide
plexus-containers: FTBFS in rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: plexus-containers (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 09:26 EDT by Mikolaj Izdebski
Modified: 2014-10-22 04:52 EDT (History)
6 users (show)

See Also:
Fixed In Version: 1.5.5-14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-05 10:26:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2013-10-03 09:26:44 EDT
Description of problem:
Package plexus-containers fails to build from source in rawhide.

Version-Release number of selected component (if applicable):
1.5.5-13

Probable cause of build failure:

[ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:3.1:compile (default-compile) on project plexus-container-default: Compilation failure: Compilation failure:
[ERROR] /builddir/build/BUILD/plexus-containers-1.5.5/plexus-container-default/src/main/java/org/codehaus/plexus/component/repository/ComponentDescriptor.java:[192,49] incompatible types
[ERROR] required: java.lang.Class<T>
[ERROR] found:    java.lang.Class<capture#1 of ?>
[ERROR] /builddir/build/BUILD/plexus-containers-1.5.5/plexus-container-default/src/main/java/org/codehaus/plexus/component/repository/ComponentDescriptor.java:[302,59] incompatible types
[ERROR] required: java.lang.Class<? extends T>
[ERROR] found:    java.lang.Class<capture#2 of ?>

Full build logs from Koji:

Package plexus-containers (6019802):
  noarch (6019832):
    root.log            : http://kojipkgs.fedoraproject.org/work/tasks/9832/6019832/root.log
    build.log           : http://kojipkgs.fedoraproject.org/work/tasks/9832/6019832/build.log
    state.log           : http://kojipkgs.fedoraproject.org/work/tasks/9832/6019832/state.log
    mock_output.log     : http://kojipkgs.fedoraproject.org/work/tasks/9832/6019832/mock_output.log

Additional info:
[1] http://fedoraproject.org/wiki/Packaging:Java
[2] http://fedoraproject.org/wiki/Packaging:Guidelines
Comment 1 Mikolaj Izdebski 2013-12-05 08:55:34 EST
Fixed in plexus-containers-1.5.5-14
Comment 2 Mikolaj Izdebski 2013-12-05 10:26:20 EST
I believe that this bug is fixed in plexus-containers-1.5.5-14,
which is available in Fedora Rawhide, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=483014
Comment 3 Fedora Update System 2014-10-13 03:47:37 EDT
plexus-containers-1.5.5-13.1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/plexus-containers-1.5.5-13.1.fc20
Comment 4 Fedora Update System 2014-10-22 04:52:00 EDT
plexus-containers-1.5.5-13.1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.